com.brightcove.player.captioning

## Class TTMLParser.Tags

- java.lang.Object
- - com.brightcove.player.captioning.TTMLParser.Tags

- Enclosing class:
    TTMLParser

      public static class TTMLParser.Tags
      extends java.lang.Object

  All tags recognized in a TTML document.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BODY`
    `static java.lang.String` | `BR`
    `static java.lang.String` | `CAPTION`
    `static java.lang.String` | `HEAD`
    `static java.lang.String` | `LAYOUT`
    `static java.lang.String` | `REGION`
    `static java.lang.String` | `ROOT`
    `static java.lang.String` | `SPAN`
    `static java.lang.String` | `STYLE`
    `static java.lang.String` | `STYLING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tags()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROOT

          public static final java.lang.String ROOT

      See Also:
        Constant Field Values

    - #### HEAD

          public static final java.lang.String HEAD

      See Also:
        Constant Field Values

    - #### STYLING

          public static final java.lang.String STYLING

      See Also:
        Constant Field Values

    - #### STYLE

          public static final java.lang.String STYLE

      See Also:
        Constant Field Values

    - #### LAYOUT

          public static final java.lang.String LAYOUT

      See Also:
        Constant Field Values

    - #### REGION

          public static final java.lang.String REGION

      See Also:
        Constant Field Values

    - #### BODY

          public static final java.lang.String BODY

      See Also:
        Constant Field Values

    - #### CAPTION

          public static final java.lang.String CAPTION

      See Also:
        Constant Field Values

    - #### SPAN

          public static final java.lang.String SPAN

      See Also:
        Constant Field Values

    - #### BR

          public static final java.lang.String BR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Tags

          public Tags()